List authorization events | Moov Documentation

List authorization events

List card network and Moov platform events that affect the authorization and its hold on a wallet balance.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/issued-cards.read scope.

Request

GET

/issuing/{accountID}/authorizations/{authorizationID}/events

Example Request

curl -X GET "https://api.moov.io/issuing/{accountID}/authorizations/{authorizationID}/events" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Example Code (JavaScript)

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.issuingTransactions.listAuthorizationEvents({
    accountID: "f30f8cb3-64d8-4a5f-a427-965317fa559a",
    authorizationID: "e6a0946d-f3d8-451e-9b1c-5bc346a95dd6",
    skip: 60,
    count: 20,
  });

console.log(result);
}

run();

Example Code (PHP)

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\